[arch-commits] CVS update of extra/multimedia/mythtv (2 files)

Paul Mattal paul at archlinux.org
Fri Nov 30 04:42:15 UTC 2007


    Date: Thursday, November 29, 2007 @ 23:42:15
  Author: paul
    Path: /home/cvs-extra/extra/multimedia/mythtv

   Added: mythtv-0.20.2.20071129-lm_sensors-3-fix.patch (1.1)
Modified: PKGBUILD (1.21 -> 1.22)

upgpkg: mythtv 0.20.2.20071129-1
upgrade to 20071129 snapshot, patched to build against lm_sensors 3.0.0


-----------------------------------------------+
 PKGBUILD                                      |   21 ++--
 mythtv-0.20.2.20071129-lm_sensors-3-fix.patch |  113 ++++++++++++++++++++++++
 2 files changed, 125 insertions(+), 9 deletions(-)


Index: extra/multimedia/mythtv/PKGBUILD
diff -u extra/multimedia/mythtv/PKGBUILD:1.21 extra/multimedia/mythtv/PKGBUILD:1.22
--- extra/multimedia/mythtv/PKGBUILD:1.21	Sat Nov 10 10:31:58 2007
+++ extra/multimedia/mythtv/PKGBUILD	Thu Nov 29 23:42:14 2007
@@ -1,33 +1,36 @@
-# $Id: PKGBUILD,v 1.21 2007/11/10 15:31:58 pierre Exp $
+# $Id: PKGBUILD,v 1.22 2007/11/30 04:42:14 paul Exp $
 # Contributor: <kleptophobiac at gmail.com>
 # Contributor: dorphell <dorphell at archlinux.org>
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=mythtv
-pkgver=0.20.2.20070828
-pkgrel=3
+pkgver=0.20.2.20071129
+pkgrel=1
 pkgdesc="A Homebrew PVR project"
 arch=('i686' 'x86_64')
-depends=('bash' 'mysql-clients>=5.0' 'qt3' 'lame' 'lirc-utils' 'ffmpeg' \
-	'libxvmc' 'lm_sensors')
+depends=('bash' 'mysql-clients>=5.0' 'qt' 'lame' 'lirc-utils' 'ffmpeg' \
+	'libxvmc' 'lm_sensors>=3.0.0')
 backup=(etc/mythtv/mythbackend.conf etc/mythtv/mysql.txt)
 source=(http://www.archlinux.org/~paul/$pkgname-$pkgver.tar.gz mythbackend \
-	QUICKSTART.archlinux)
+	QUICKSTART.archlinux mythtv-0.20.2.20071129-lm_sensors-3-fix.patch)
 license=('GPL2')
 makedepends=(libgl)
 groups=('pvr')
 url="http://www.mythtv.org/"
 install=mythtv.install
-md5sums=('4f167bb222d9beb549e64d62965c488e' '7ef6de58240e7aad389a0b13d91b1cf6'\
-         'a0ecb7f476cb71c0c1ac90d349fc7695')
+md5sums=('f78498e577baa63c376828a9a62697f2' '7ef6de58240e7aad389a0b13d91b1cf6'\
+         'a0ecb7f476cb71c0c1ac90d349fc7695' '93ed62248ea2a7be49dffb43fee12a0d')
 
 build() {
    cd $startdir/src/$pkgname || return 1
-   . /etc/profile.d/qt3.sh
+   . /etc/profile.d/qt.sh
      
   [ "$CARCH" = "i686"   ] && ARCH="i686"
   [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
 
+  # patch for compatibility with lm_sensors 3
+  patch -Np1 -i $startdir/src/mythtv-0.20.2.20071129-lm_sensors-3-fix.patch || return 1
+
   ./configure --prefix=/usr --cpu=${ARCH} --enable-mmx --enable-audio-oss \
    --enable-audio-alsa --enable-dvb --enable-lirc --enable-joystick-menu \
    --disable-firewire --enable-v4l --enable-ivtv --enable-dvb \
Index: extra/multimedia/mythtv/mythtv-0.20.2.20071129-lm_sensors-3-fix.patch
diff -u /dev/null extra/multimedia/mythtv/mythtv-0.20.2.20071129-lm_sensors-3-fix.patch:1.1
--- /dev/null	Thu Nov 29 23:42:15 2007
+++ extra/multimedia/mythtv/mythtv-0.20.2.20071129-lm_sensors-3-fix.patch	Thu Nov 29 23:42:14 2007
@@ -0,0 +1,113 @@
+diff -urN mythtv/programs/mythbackend/httpstatus.cpp mythtv-fixed/programs/mythbackend/httpstatus.cpp
+--- mythtv/programs/mythbackend/httpstatus.cpp	2007-08-23 12:09:51.000000000 -0400
++++ mythtv-fixed/programs/mythbackend/httpstatus.cpp	2007-11-29 23:05:44.000000000 -0500
+@@ -4,7 +4,7 @@
+ // Purpose - Html & XML status HttpServerExtension
+ //                                                                            
+ // Created By  : David Blain                    Created On : Oct. 24, 2005
+-// Modified By :                                Modified On:                  
++// Modified By : Stephen Lewis                  Modified On: Nov. 27, 2007 
+ //                                                                            
+ //////////////////////////////////////////////////////////////////////////////
+ 
+@@ -26,7 +26,9 @@
+ #ifdef HAVE_LMSENSORS 
+     #define LMSENSOR_DEFAULT_CONFIG_FILE "/etc/sensors.conf" 
+     #include <sensors/sensors.h> 
++#if ( SENSORS_API_VERSION < 0x400 )
+     #include <sensors/chips.h> 
++#endif
+ #endif 
+ 
+ /////////////////////////////////////////////////////////////////////////////
+@@ -428,6 +430,7 @@
+     }                                                  
+ 
+ #ifdef HAVE_LMSENSORS
++#if ( SENSORS_API_VERSION < 0x400 ) // Use old SENSORS_API
+     m_settingLock.lock();
+ 
+     if (!found_acpi) 
+@@ -464,6 +467,46 @@
+         sensors_cleanup(); 
+     } 
+     m_settingLock.unlock();
++#else // Use New SENSORS_API
++    m_settingLock.lock();
++
++    if (!found_acpi) 
++    { 
++        int chip_nr, a, b; 
++        char *label = NULL; 
++        double value; 
++        const sensors_chip_name *chip; 
++        const sensors_feature *data; 
++        const sensors_subfeature *sdata;
++        char* lmsensorConfigName = LMSENSOR_DEFAULT_CONFIG_FILE; 
++        a = b = 0; 
++        FILE *lmsensorConfigFile = fopen(lmsensorConfigName, "r"); 
++        sensors_init(lmsensorConfigFile); 
++        fclose(lmsensorConfigFile); 
++        for (chip_nr = 0 ; (chip = sensors_get_detected_chips(NULL, &chip_nr)) ; ) 
++        { 
++            while ((data = sensors_get_features(chip, &a))) 
++            { 
++                if (data->type == SENSORS_FEATURE_TEMP)
++                {
++                    while ((sdata = sensors_get_all_subfeatures(chip, data, &b)))
++                    {
++                        if (sdata->type == SENSORS_SUBFEATURE_TEMP_INPUT)
++                        {
++                            sensors_get_value(chip, sdata->number, &value);
++                            QString temp = QString("%1").arg(value); 
++                            temp += " ℃"; 
++                            mInfo.appendChild(thermal); 
++                            thermal.setAttribute("temperature", temp); 
++                        }
++                    }
++                }
++            } 
++        }  
++        sensors_cleanup(); 
++    } 
++    m_settingLock.unlock();
++#endif // ( SENSORS_API_VERSION < 0x400 )
+ #endif 
+ 
+     // Guide Data ---------------------
+diff -urN mythtv/programs/mythbackend/mainserver.cpp mythtv-fixed/programs/mythbackend/mainserver.cpp
+--- mythtv/programs/mythbackend/mainserver.cpp	2007-08-27 21:22:44.000000000 -0400
++++ mythtv-fixed/programs/mythbackend/mainserver.cpp	2007-11-29 23:09:24.000000000 -0500
+@@ -47,8 +47,10 @@
+ #ifdef HAVE_LMSENSORS
+     #define LMSENSOR_DEFAULT_CONFIG_FILE "/etc/sensors.conf"
+     #include <sensors/sensors.h>
++#if ( SENSORS_API_VERSION < 0x400 )
+     #include <sensors/chips.h>
+ #endif
++#endif
+ 
+ 
+ /** Milliseconds to wait for an existing thread from
+diff -urN mythtv/programs/mythbackend/mythxml.cpp mythtv-fixed/programs/mythbackend/mythxml.cpp
+--- mythtv/programs/mythbackend/mythxml.cpp	2007-08-23 12:09:51.000000000 -0400
++++ mythtv-fixed/programs/mythbackend/mythxml.cpp	2007-11-29 23:07:07.000000000 -0500
+@@ -4,7 +4,7 @@
+ // Purpose - Html & XML status HttpServerExtension
+ //                                                                            
+ // Created By  : David Blain                    Created On : Oct. 24, 2005
+-// Modified By :                                Modified On:                  
++// Modified By : Stephen Lewis                  Modified On: Nov. 27, 2007 
+ //                                                                            
+ //////////////////////////////////////////////////////////////////////////////
+ 
+@@ -25,7 +25,9 @@
+ #ifdef HAVE_LMSENSORS 
+     #define LMSENSOR_DEFAULT_CONFIG_FILE "/etc/sensors.conf" 
+     #include <sensors/sensors.h> 
++#if ( SENSORS_API_VERSION < 0x400 )
+     #include <sensors/chips.h> 
++#endif
+ #endif 
+ 
+ /////////////////////////////////////////////////////////////////////////////




More information about the arch-commits mailing list